Loading...
Searching...
No Matches
casacore::AipsrcValue< Bool > Class Reference
casa package (libcasa_casa) » System_module

Specialization of AipsrcValue for Bool. More...

`#include <AipsrcValue.h>`

## Public Member Functions

Bool | find (String &value, const String &keyword, const Unit &defun, const Unit &resun)

## Static Public Member Functions

static Bool | find (Bool &value, const String &keyword)
static Bool | find (Bool &value, const String &keyword, const Bool &deflt)
static uInt | registerRC (const String &keyword, const Bool &deflt)
static Bool | get (uInt keyword)
static void | set (uInt keyword, const Bool &deflt)
static void | save (uInt keyword)
Static Public Member Functions inherited from casacore::Aipsrc
static Bool | find (String &value, const String &keyword)
static Bool | findNoHome (String &value, const String &keyword)
static Bool | find (uInt &value, const String &keyword, Int Nname, const String tname[])
| These finds check a (possible) value of the keyword against a list of coded values provided, and return an index into the list (N if not found).
static Bool | find (uInt &value, const String &keyword, const Vector< String > &tname)
static Bool | find (String &value, const String &keyword, const String &default_value)
| This find usually saves you some lines of code, since you can supply the default you want to use when no such keyword is defined.
static Bool | findNoHome (String &value, const String &keyword, const String &default_value)
static Bool | find (uInt &value, const String &keyword, Int Nname, const String tname[], const String &default_value)
static Bool | find (uInt &value, const String &keyword, const Vector< String > &tname, const String &default_value)
static Bool | findDir (String &foundDir, const String &lastPart="", const Vector< String > &prepends=Vector< String >(), const Vector< String > &appends=Vector< String >(), Bool useStds=True)
| Sets foundDir to the first /firstPart/lastPart path that it finds present on the system, where /firstPart comes from, in order, this list: contents of prepends.
static uInt | registerRC (const String &keyword, const String &default_value)
| Functions to register keywords for later use in get() and set().
static uInt | registerRC (const String &keyword, Int Nname, const String tname[], const String &default_value)
static uInt | registerRC (const String &keyword, const Vector< String > &tname, const String &default_value)
static const String & | get (uInt keyword)
| Gets are like find, but using registered integers rather than names.
static const uInt & | get (uInt &code, uInt keyword)
| get for code
static void | set (uInt keyword, const String &default_value)
| Sets allow registered values to be set.
static void | set (uInt keyword, Int Nname, const String tname[], const String &default_value)
static void | set (uInt keyword, const Vector< String > &tname, const String &default_value)
static void | save (uInt keyword)
| Save a registered keyword value to $HOME/.aipsrc.
static void | save (uInt keyword, const String tname[])
static void | save (uInt keyword, const Vector< String > &tname)
static void | setAipsPath (const String &path=String())
| Set an AIPSPATH that should be used in stead of a global AIPSPATH.
static const String & | aipsRoot ()
| Returns the appropriate Casacore or system variable values.
static const String & | aipsArch ()
static const String & | aipsSite ()
static const String & | aipsHost ()
static const String & | aipsHome ()
| Returns: ~/aips++.
static void | reRead ()
| The reRead() function will reinitialise the static maps and read the aipsrc files again.
static Double | lastRead ()
static const Block< String > & | values ()
| The following functions return the full lists of available data.
static const Block< String > & | patterns ()
static void | show (ostream &oStream)
| The following show() function, useful for debugging, outputs all keyword/value pairs found.
static void | show ()
| Prints all info on cout.
static uInt | genRestore (Vector< String > &namlst, Vector< String > &vallst, const String &fileList)
| The following set is a general set of functions.
static void | genSave (Vector< String > &namlst, Vector< String > &vallst, const String &fnam)
| Save the names/values in file.
static void | genSet (Vector< String > &namlst, Vector< String > &vallst, const String &nam, const String &val)
| Set (new or overwrite) keyword/value pair.
static Bool | genUnSet (Vector< String > &namlst, Vector< String > &vallst, const String &nam)
| Remove a keyword from list (False if not in list).
static Bool | genGet (String &val, Vector< String > &namlst, Vector< String > &vallst, const String &nam)
| Get the value of a keyword.

## Static Private Attributes

static std::mutex | theirMutex
static std::vector< unsigned char > | tlst
static std::vector< String > | ntlst

## Additional Inherited Members

Static Protected Member Functions inherited from casacore::Aipsrc
static Bool | find (String &value, const String &keyword, uInt start)
| Actual find function.
static Bool | findNoParse (String &value, const String &keyword, uInt start)
| Actual find function to use during parse() without recursing into parse().
static uInt | registerRC (const String &keyword, std::vector< String > &nlst)
| The registration function.
static void | save (const String keyword, const String val)
| Actual saving.

## Detailed Description

Specialization of AipsrcValue for Bool.

### Synopsis

Definition at line 229 of file AipsrcValue.h.

## Member Function Documentation

## find() [1/3]

Bool casacore::AipsrcValue< Bool >::find | ( | Bool & | value,
|  | const String & | keyword )

static

References casacore::NewDelAllocator< T >::value.

## find() [2/3]

Bool casacore::AipsrcValue< Bool >::find | ( | Bool & | value,
|  | const String & | keyword,
|  | const Bool & | deflt )

static

References casacore::NewDelAllocator< T >::value.

## find() [3/3]

Bool casacore::AipsrcValue< String >::find | ( | String & | value,
|  | const String & | keyword,
|  | const Unit & | defun,
|  | const Unit & | resun )

## get()

Bool casacore::AipsrcValue< Bool >::get | ( | uInt | keyword | ) |

static

## registerRC()

uInt casacore::AipsrcValue< Bool >::registerRC | ( | const String & | keyword,
|  | const Bool & | deflt )

static

## save()

void casacore::AipsrcValue< Bool >::save | ( | uInt | keyword | ) |

static

## set()

void casacore::AipsrcValue< Bool >::set | ( | uInt | keyword,
|  | const Bool & | deflt )

static

## Member Data Documentation

## ntlst

std::vector<String> casacore::AipsrcValue< Bool >::ntlst

inline static private

Definition at line 242 of file AipsrcValue.h.

## theirMutex

std::mutex casacore::AipsrcValue< Bool >::theirMutex

inline static private

Definition at line 239 of file AipsrcValue.h.

## tlst

std::vector<unsigned char> casacore::AipsrcValue< Bool >::tlst

inline static private

Definition at line 241 of file AipsrcValue.h.

The documentation for this class was generated from the following file:

- casa/System/AipsrcValue.h